## kdepim-runtime 19.04.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
set(PIM_VERSION "5.11.3")
set(KDEPIM_RUNTIME_VERSION_NUMBER ${PIM_VERSION})
project(kdepim-runtime VERSION ${KDEPIM_RUNTIME_VERSION_NUMBER})

if (POLICY CMP0053)
    cmake_policy(SET CMP0053 NEW)
endif()

############### KDEPIM-Runtime version ################
# KDEPIM_RUNTIME_VERSION
# Version scheme: "x.y.z build".
#
# x is the version number.
# y is the major release number.
# z is the minor release number.
#
# "x.y.z" follow the kdelibs version kdepim is released with.
#
# If "z" is 0, it the version is "x.y"
#
# KDEPIM_DEV_VERSION
# is empty for final versions. For development versions "build" is
# something like "pre", "", "alpha2", "beta1", "beta2", "rc1", "rc2".
#
# Examples in chronological order:
#
#    3.0
#    3.0.1
#    3.1 
#    3.1 beta1
#    3.1 beta2
#    3.1 rc1
#    3.1
#    3.1.1
#    3.2 pre
#    3.2 

set(KDEPIM_DEV_VERSION )

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_RUNTIME_VERSION "${KDEPIM_RUNTIME_VERSION_NUMBER}${KDEPIM_DEV_VERSION}")

configure_file(kdepim-runtime-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdepim-runtime-version.h @ONLY)

set(KF5_MIN_VERSION "5.56.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${kdepim-runtime_SOURCE_DIR}/cmake/ ${ECM_MODULE_PATH})


include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(GenerateExportHeader)


set(QT_REQUIRED_VERSION "5.10.0")

set(KDEPIMRUNTIME_LIB_VERSION "${KDEPIM_RUNTIME_VERSION_NUMBER}")
set(KDEPIMRUNTIME_LIB_SOVERSION "5")
set(AKONADI_VERSION "5.11.3")

set(KCONTACTS_LIB_VERSION "5.11.3")
set(KCALENDARCORE_LIB_VERSION "5.11.3")
set(IDENTITYMANAGEMENT_LIB_VERSION "5.11.3")
set(KMAILTRANSPORT_LIB_VERSION "5.11.3")
set(CALENDARUTILS_LIB_VERSION "5.11.3")
set(KDAV_LIB_VERSION "5.11.3")
set(KIMAP_LIB_VERSION "5.11.3")
set(KMBOX_LIB_VERSION "5.11.3")
set(AKONADICALENDAR_LIB_VERSION "5.11.3")
set(KONTACTINTERFACE_LIB_VERSION "5.11.3")
set(AKONADIKALARM_LIB_VERSION "5.11.3")
set(KMIME_LIB_VERSION "5.11.3")
set(XMLRPCCLIENT_LIB_VERSION "5.11.3")
set(KCONTACTS_LIB_VERSION "5.11.3")
set(AKONADIMIME_LIB_VERSION "5.11.3")
set(AKONADICONTACT_LIB_VERSION "5.11.3")
set(AKONADINOTE_LIB_VERSION "5.11.3")
set(PIMCOMMON_LIB_VERSION "5.11.3")
set(KGAPI_LIB_VERSION "5.11.3")

set( SharedMimeInfo_MINIMUM_VERSION "1.3" )
find_package(SharedMimeInfo ${SharedMimeInfo_MINIMUM_VERSION} REQUIRED)

find_package(Sasl2)
set_package_properties(Sasl2 PROPERTIES TYPE REQUIRED)

find_package(Qca-qt5)

# QT5 package
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED TextToSpeech Network Widgets Test XmlPatterns DBus WebEngineWidgets NetworkAuth)
if (NOT Qca-qt5_FOUND)
    message(STATUS "QCA not found, public key authentication will not be supported")
else()
    add_definitions(-DHAVE_QCA)
endif()


# KF5 package
find_package(KF5Config ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5ConfigWidgets ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5NotifyConfig ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5ItemModels ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Codecs ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5WindowSystem ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5TextWidgets ${KF5_MIN_VERSION} CONFIG REQUIRED) # for KPluralHandlingSpinBox
find_package(KF5Notifications ${KF5_MIN_VERSION} CONFIG REQUIRED) # pop3, ews
find_package(KF5DocTools ${KF5_MIN_VERSION} CONFIG REQUIRED) # pop3
find_package(KF5Holidays ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5DBusAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5IconThemes ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5KDELibs4Support ${KF5_MIN_VERSION} CONFIG REQUIRED)

# KdepimLibs package
find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KPimKDAV ${KDAV_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MailTransportAkonadi ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IdentityManagement ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiContact ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KCONTACTS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AlarmCalendar ${AKONADIKALARM_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarCore ${KCALENDARCORE_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Mbox ${KMBOX_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiNotes ${AKONADINOTE_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimCommon ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPimGAPI ${KGAPI_LIB_VERSION} CONFIG REQUIRED)

option(KDEPIM_RUN_ISOLATED_TESTS "Run the isolated tests." FALSE)


#add_definitions( -DQT_DISABLE_DEPRECATED_BEFORE=0x060000 )



add_subdirectory(resources)
add_subdirectory(agents)
add_subdirectory(defaultsetup)
add_subdirectory(kioslave)
add_subdirectory(migration)
add_subdirectory(doc)

## install the MIME type spec file for KDEPIM specific MIME types
install(FILES kdepim-mime.xml DESTINATION ${KDE_INSTALL_MIMEDIR})
update_xdg_mimetypes(${KDE_INSTALL_MIMEDIR})


install( FILES kdepim-runtime.renamecategories kdepim-runtime.categories DESTINATION ${KDE_INSTALL_CONFDIR} )

feature_summary(WHAT ALL
                INCLUDE_QUIET_PACKAGES
                FATAL_ON_MISSING_REQUIRED_PACKAGES
)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== debian/changelog ===
kdepim-runtime (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 18:54:41 +0100

kdepim-runtime (4:19.03.70-0ubuntu1) UNRELEASED; urgency=medium

  * Update install files.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 31 Dec 2018 08:39:43 +0000

=== debian/control ===
Source: kdepim-runtime
Section: x11
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kross-dev (>= 5.31.0~),
               libboost-dev (>= 1.40.0-2),
               libboost-program-options-dev,
               libkf5akonadi-dev (>= 4:19.04.3~),
               libkf5akonadicalendar-dev (>= 4:19.04.3~),
               libkf5akonadicontact-dev (>= 4:19.04.3~),
               libkf5akonadimime-dev (>= 4:19.04.3~),
               libkf5akonadinotes-dev (>= 4:19.04.3~),
               libkf5akonadiserver-dev (>= 4:19.04.3~),
               libkf5alarmcalendar-dev (>= 4:19.04.3~),
               libkf5calendarcore-dev (>= 4:19.04.3~),
               libkf5calendarutils-dev (>= 4:19.04.3~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:19.04.3~),
               libkf5contacts-dev (>= 4:19.04.3~),
               libkf5identitymanagement-dev (>= 19.04.3~),
               libkf5imap-dev (>= 19.04.3~),
               libkf5itemmodels-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5mailtransport-dev (>= 19.04.3~),
               libkf5mbox-dev (>= 19.04.3~),
               libkf5mime-dev (>= 19.04.3~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5pimcommon-dev (>= 4:19.04.3~),
               libkf5pimtextedit-dev (>= 19.04.3~),
               libkf5syndication-dev (>= 18.11.80~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkolabxml-dev (>= 1.1),
               libkpimgapi-dev (>= 19.04.3~),
               libkpimkdav-dev (>= 19.04.3~),
               libqca-qt5-2-dev,
               libqt5networkauth5-dev,
               libqt5texttospeech5-dev,
               libqt5webchannel5-dev (>= 5.6.1~),
               libqt5webenginewidgets5 (>= 5.6.1~),
               libqt5webkit5-dev (>= 5.4.0~),
               libqt5xmlpatterns5-dev (>= 5.6.1~),
               libsasl2-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qtpositioning5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~),
               shared-mime-info (>= 0.30),
               xsltproc,
Standards-Version: 3.9.6
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-runtime
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-runtime

Package: kdepim-runtime
Architecture: any
Depends: akonadi-server (>= 1.8),
         kio-ldap,
         kio-sieve,
         libsasl2-modules-kdexoauth2,
         ${misc:Depends},
         ${shlibs:Depends},
Replaces: akonadi-kde,
          kdepimlibs-kio-plugins,
          kf5-kdepimlibs-kio-plugins,
          libmaildir4,
          ${kde-l10n:all},
Breaks: akonadi-kde,
        kdepimlibs-kio-plugins,
        kdepimlibs5 (<< 4:4.4),
        kf5-kdepimlibs-kio-plugins,
        libmaildir4,
        ${kde-l10n:all},
Description: runtime components for Akonadi KDE
 This package contains Akonadi agents written using KDE Development Platform
 libraries.
 Any package that uses Akonadi should probably pull this in as a dependency.
 The kres-bridges is also parts of this package.
 .
 This package is part of the kdepim-runtime module.

## kdepim-runtime 19.08.3

=== debian/changelog ===
kdepim-runtime (4:19.08.3-2+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from 4:18.08.3-4+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Wed, 03 Apr 2019 22:53:45 +0000]
  * Remove armhf from architecture list for build-depends on libkpimgapi-dev 
    and qtwebengine5-dev

  [changes brought forward from 4:18.08.3-4+rpi2 by Peter Michael Green <plugwash@raspbian.org> at Thu, 04 Apr 2019 13:53:23 +0000]
  * Remove armhf from architecture list for depends on
    libsasl2-modules-kdexoauth2

 -- Raspbian forward porter <root@raspbian.org>  Mon, 09 Dec 2019 19:39:52 +0000

kdepim-runtime (4:19.08.3-2) unstable; urgency=medium

  [ Sandro Knauß ]
  * update make_qtwebengine_optional.patch:
    - build facebook and tomboynotes for all archs that have QtWebEngine
    - disable ews for archs that don't have QtWebEngine

 -- Sandro Knauß <hefee@debian.org>  Sun, 01 Dec 2019 11:14:31 +0100

kdepim-runtime (4:19.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Sat, 30 Nov 2019 22:55:34 +0100

kdepim-runtime (4:19.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.2).
  * Update build-deps and deps with the info from cmake.
  * Remove breaks against kde-l10n packages.
  * Update patches for new upstream release.

 -- Sandro Knauß <hefee@debian.org>  Fri, 08 Nov 2019 10:41:26 +0100

kdepim-runtime (4:18.08.3-6) unstable; urgency=medium

  * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Nov 2019 23:51:03 +0100

kdepim-runtime (4:18.08.3-5) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.1 (No changes needed).
  * Bump compat level to 12.
  * Add myself to Uploaders.
  * Delete not needed Breaks/Confilcts.
  * Enforce depdendencies between KDEPIM packages to enable bundling.

 -- Sandro Knauß <hefee@debian.org>  Sun, 06 Oct 2019 22:43:28 +0200

=== debian/control ===
Source: kdepim-runtime
Section: x11
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>,
           Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.60.0~),
               libboost-dev,
               libboost-program-options-dev,
               libkf5akonadi-dev (>= 4:19.08.3~),
               libkf5akonadicalendar-dev (>= 4:19.08.3~),
               libkf5akonadicontact-dev (>= 4:19.08.3~),
               libkf5akonadimime-dev (>= 4:19.08.3~),
               libkf5akonadinotes-dev (>= 4:19.08.3~),
               libkf5alarmcalendar-dev (>= 4:19.08.3~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5calendarutils-dev (>= 4:19.08.3~),
               libkf5codecs-dev (>= 5.60.0~),
               libkf5config-dev (>= 5.60.0~),
               libkf5configwidgets-dev (>= 5.60.0~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5dbusaddons-dev (>= 5.60.0~),
               libkf5doctools-dev (>= 5.60.0~),
               libkf5holidays-dev (>= 1:5.60.0~),
               libkf5iconthemes-dev (>= 5.60.0~),
               libkf5identitymanagement-dev (>= 19.08.3~),
               libkf5imap-dev (>= 19.08.3~),
               libkf5itemmodels-dev (>= 5.60.0~),
               libkf5kdelibs4support-dev (>= 5.47.0~),
               libkf5kio-dev (>= 5.60.0~),
               libkf5mailtransport-dev (>= 19.08.3~),
               libkf5mbox-dev (>= 19.08.3~),
               libkf5mime-dev (>= 19.08.3~),
               libkf5notifications-dev (>= 5.60.0~),
               libkf5notifyconfig-dev (>= 5.60.0~),
               libkf5pimcommon-dev (>= 4:19.08.3~),
               libkf5textwidgets-dev (>= 5.60.0~),
               libkf5windowsystem-dev (>= 5.60.0~),
               libkolabxml-dev (>= 1.1~),
               libkpimgapi-dev (>= 19.08.3~) [amd64 arm64 i386 mipsel],
               libkpimkdav-dev (>= 19.08.3~),
               libqca-qt5-2-dev,
               libqt5networkauth5-dev (>= 5.11.0~),
               libqt5texttospeech5-dev,
               libqt5xmlpatterns5-dev (>= 5.11.0~),
               libsasl2-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.11.0~),
               qtwebengine5-dev (>= 5.11.0~) [amd64 arm64 i386 mipsel],
               shared-mime-info (>= 1.3~),
               xsltproc
Standards-Version: 4.4.1
Homepage: http://pim.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdepim-runtime
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdepim-runtime.git

Package: kdepim-runtime
Architecture: any
Depends: akonadi-server (>= 1.8),
         kio-ldap,
         libsasl2-modules-kdexoauth2 [amd64 arm64 i386 mipsel],
         ${misc:Depends},
         ${shlibs:Depends}
Description: runtime components for Akonadi KDE
 This package contains Akonadi agents written using KDE Development Platform
 libraries.
 Any package that uses Akonadi should probably pull this in as a dependency.
 The kres-bridges is also parts of this package.
 .
 This package is part of the kdepim-runtime module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

TESTS_HOME=$(CURDIR)/debian/tests.home

override_dh_auto_configure:
	$(overridden_command) -- -DBUILD_TESTING=OFF

override_dh_auto_install:
	$(overridden_command)
	# TODO: talk to usptream about getting these not installed. they are not used.
	rm -rf debian/kdepim-runtime/usr/share/dbus-1/interfaces/
	# TODO: upstream SKIP_NAMELINK so we get no symlinks for private libs
	# make sure to skip the symlinks for sasl2 plugins
	find debian/kdepim-runtime \( -name '*.so' -type l \! -path '*/usr/lib/*/sasl2/*' \) -delete
	# At the end, remove empty directories
	find debian/kdepim-runtime -type d -empty -delete

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kdepim-runtime-dbg (<= 4:15.12.1-1~~)'

override_dh_auto_test:
	# Disable dh_auto_test at build time (they are utterly broken)
	:
#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	mkdir -p "$(TESTS_HOME)"
#	HOME=$(TESTS_HOME) xvfb-run -a --server-args="-screen 0 1024x768x24" dbus-run-session debian/testsuite.xsession
#	rm -rf "$(TESTS_HOME)"
#endif

## kdepim-runtime 19.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-set(PIM_VERSION "5.11.3")
+set(PIM_VERSION "5.13.3")
 set(KDEPIM_RUNTIME_VERSION_NUMBER ${PIM_VERSION})
 project(kdepim-runtime VERSION ${KDEPIM_RUNTIME_VERSION_NUMBER})
 
@@ -21,7 +21,7 @@
 #
 # KDEPIM_DEV_VERSION
 # is empty for final versions. For development versions "build" is
-# something like "pre", "", "alpha2", "beta1", "beta2", "rc1", "rc2".
+# something like "pre", "", "alpha", "beta1", "beta2", "rc1", "rc2".
 #
 # Examples in chronological order:
 #
@@ -36,18 +36,19 @@
 #    3.2 pre
 #    3.2 
 
-set(KDEPIM_DEV_VERSION )
+set(KDEPIM_DEV_VERSION)
+set(KDE_APPLICATIONS_VERSION "19.12.3")
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
     set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
 endif()
 
-set(KDEPIM_RUNTIME_VERSION "${KDEPIM_RUNTIME_VERSION_NUMBER}${KDEPIM_DEV_VERSION}")
+set(KDEPIM_RUNTIME_VERSION "${KDEPIM_RUNTIME_VERSION_NUMBER}${KDEPIM_DEV_VERSION} (${KDE_APPLICATIONS_VERSION})")
 
 configure_file(kdepim-runtime-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdepim-runtime-version.h @ONLY)
 
-set(KF5_MIN_VERSION "5.56.0")
+set(KF5_MIN_VERSION "5.63.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${kdepim-runtime_SOURCE_DIR}/cmake/ ${ECM_MODULE_PATH})
@@ -63,31 +64,27 @@
 include(GenerateExportHeader)
 
 
-set(QT_REQUIRED_VERSION "5.10.0")
+set(QT_REQUIRED_VERSION "5.11.0")
 
 set(KDEPIMRUNTIME_LIB_VERSION "${KDEPIM_RUNTIME_VERSION_NUMBER}")
 set(KDEPIMRUNTIME_LIB_SOVERSION "5")
-set(AKONADI_VERSION "5.11.3")
+set(AKONADI_VERSION "5.13.3")
 
-set(KCONTACTS_LIB_VERSION "5.11.3")
-set(KCALENDARCORE_LIB_VERSION "5.11.3")
-set(IDENTITYMANAGEMENT_LIB_VERSION "5.11.3")
-set(KMAILTRANSPORT_LIB_VERSION "5.11.3")
-set(CALENDARUTILS_LIB_VERSION "5.11.3")
-set(KDAV_LIB_VERSION "5.11.3")
-set(KIMAP_LIB_VERSION "5.11.3")
-set(KMBOX_LIB_VERSION "5.11.3")
-set(AKONADICALENDAR_LIB_VERSION "5.11.3")
-set(KONTACTINTERFACE_LIB_VERSION "5.11.3")
-set(AKONADIKALARM_LIB_VERSION "5.11.3")
-set(KMIME_LIB_VERSION "5.11.3")
-set(XMLRPCCLIENT_LIB_VERSION "5.11.3")
-set(KCONTACTS_LIB_VERSION "5.11.3")
-set(AKONADIMIME_LIB_VERSION "5.11.3")
-set(AKONADICONTACT_LIB_VERSION "5.11.3")
-set(AKONADINOTE_LIB_VERSION "5.11.3")
-set(PIMCOMMON_LIB_VERSION "5.11.3")
-set(KGAPI_LIB_VERSION "5.11.3")
+set(IDENTITYMANAGEMENT_LIB_VERSION "5.13.3")
+set(KMAILTRANSPORT_LIB_VERSION "5.13.3")
+set(CALENDARUTILS_LIB_VERSION "5.13.3")
+set(KDAV_LIB_VERSION "5.13.3")
+set(KIMAP_LIB_VERSION "5.13.3")
+set(KMBOX_LIB_VERSION "5.13.3")
+set(AKONADICALENDAR_LIB_VERSION "5.13.3")
+set(KONTACTINTERFACE_LIB_VERSION "5.13.3")
+set(AKONADIKALARM_LIB_VERSION "5.13.3")
+set(KMIME_LIB_VERSION "5.13.3")
+set(AKONADIMIME_LIB_VERSION "5.13.3")
+set(AKONADICONTACT_LIB_VERSION "5.13.3")
+set(AKONADINOTE_LIB_VERSION "5.13.3")
+set(PIMCOMMON_LIB_VERSION "5.13.3")
+set(KGAPI_LIB_VERSION "5.13.3")
 
 set( SharedMimeInfo_MINIMUM_VERSION "1.3" )
 find_package(SharedMimeInfo ${SharedMimeInfo_MINIMUM_VERSION} REQUIRED)
@@ -96,7 +93,7 @@
 set_package_properties(Sasl2 PROPERTIES TYPE REQUIRED)
 
 find_package(Qca-qt5)
-
+option(KDEPIM_RUN_AKONADI_TEST "Enable autotest based on Akonadi." TRUE)
 # QT5 package
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED TextToSpeech Network Widgets Test XmlPatterns DBus WebEngineWidgets NetworkAuth)
 if (NOT Qca-qt5_FOUND)
@@ -119,8 +116,6 @@
 find_package(KF5DocTools ${KF5_MIN_VERSION} CONFIG REQUIRED) # pop3
 find_package(KF5Holidays ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5DBusAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
-find_package(KF5IconThemes ${KF5_MIN_VERSION} CONFIG REQUIRED)
-find_package(KF5KDELibs4Support ${KF5_MIN_VERSION} CONFIG REQUIRED)
 
 # KdepimLibs package
 find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
@@ -130,9 +125,9 @@
 find_package(KF5MailTransportAkonadi ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5IdentityManagement ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5AkonadiContact ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
-find_package(KF5Contacts ${KCONTACTS_LIB_VERSION} CONFIG REQUIRED)
-find_package(KF5AlarmCalendar ${AKONADIKALARM_LIB_VERSION} CONFIG REQUIRED)
-find_package(KF5CalendarCore ${KCALENDARCORE_LIB_VERSION} CONFIG REQUIRED)
+find_package(KF5Contacts ${KF5_MIN_VERSION} CONFIG REQUIRED)
+find_package(KF5AlarmCalendar ${AKONADIKALARM_LIB_VERSION} CONFIG)
+find_package(KF5CalendarCore ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5Mbox ${KMBOX_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)
@@ -142,10 +137,14 @@
 find_package(KPimGAPI ${KGAPI_LIB_VERSION} CONFIG REQUIRED)
 
 option(KDEPIM_RUN_ISOLATED_TESTS "Run the isolated tests." FALSE)
+option(NO_REGENERATE_MIME "Don't regenerate mime file (developer-only option)" FALSE )
 
-
-#add_definitions( -DQT_DISABLE_DEPRECATED_BEFORE=0x060000 )
-
+if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
+   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050D00)
+   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x053F00)
+endif()
+find_package(Xsltproc)
+set_package_properties(Xsltproc PROPERTIES DESCRIPTION "XSLT processor from libxslt" TYPE REQUIRED PURPOSE "Required to generate D-Bus interfaces for all Akonadi resources.")
 
 
 add_subdirectory(resources)
@@ -157,10 +156,11 @@
 
 ## install the MIME type spec file for KDEPIM specific MIME types
 install(FILES kdepim-mime.xml DESTINATION ${KDE_INSTALL_MIMEDIR})
-update_xdg_mimetypes(${KDE_INSTALL_MIMEDIR})
+if (NOT NO_REGENERATE_MIME)
+   update_xdg_mimetypes(${KDE_INSTALL_MIMEDIR})
+endif()   
 
-
-install( FILES kdepim-runtime.renamecategories kdepim-runtime.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
+install(FILES kdepim-runtime.renamecategories kdepim-runtime.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
 
 feature_summary(WHAT ALL
                 INCLUDE_QUIET_PACKAGES

=== migration/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/
)


set( MIGRATION_AKONADI_SHARED_SOURCES
  ${CMAKE_CURRENT_SOURCE_DIR}/kmigratorbase.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/infodialog.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/entitytreecreatejob.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/migratorbase.cpp
)


add_subdirectory( gid )

=== agents/maildispatcher/CMakeLists.txt ===

add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_maildispatcher_agent\")

set( maildispatcheragent_SRCS
  maildispatcheragent.cpp
  outboxqueue.cpp
  sendjob.cpp
  sentactionhandler.cpp
  storeresultjob.cpp
)

ecm_qt_declare_logging_category(maildispatcheragent_SRCS HEADER maildispatcher_debug.h IDENTIFIER MAILDISPATCHER_LOG CATEGORY_NAME org.kde.pim.maildispatcher)

kconfig_add_kcfg_files(maildispatcheragent_SRCS settings.kcfgc)
kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/maildispatcheragent.kcfg org.kde.Akonadi.MailDispatcher.Settings)
qt5_add_dbus_adaptor(maildispatcheragent_SRCS
  ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.MailDispatcher.Settings.xml settings.h Settings
)
qt5_add_dbus_adaptor( maildispatcheragent_SRCS
  org.freedesktop.Akonadi.MailDispatcherAgent.xml maildispatcheragent.h MailDispatcherAgent
)

add_executable(akonadi_maildispatcher_agent ${maildispatcheragent_SRCS})


if( APPLE )
  set_target_properties(akonadi_maildispatcher_agent PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
  set_target_properties(akonadi_maildispatcher_agent PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.maildispatcher")
  set_target_properties(akonadi_maildispatcher_agent PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi Maildispatcher")
endif ()

target_link_libraries(akonadi_maildispatcher_agent 
    KF5::AkonadiCore
    KF5::AkonadiMime
    KF5::Mime
    KF5::MailTransportAkonadi
    KF5::AkonadiAgentBase
    KF5::DBusAddons
    KF5::I18n
    KF5::Notifications
)

install( TARGETS akonadi_maildispatcher_agent ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )
install( FILES maildispatcheragent.desktop DESTINATION "${KDE_INSTALL_DATAROOTDIR}/akonadi/agents" )
install( FILES akonadi_maildispatcher_agent.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR} )

############################## Configuration ##############################

kcoreaddons_add_plugin(maildispatcherconfig
    SOURCES maildispatcherconfig.cpp
    JSON "maildispatcherconfig.json"
    INSTALL_NAMESPACE "akonadi/config")
target_link_libraries(maildispatcherconfig
    KF5::AkonadiCore
    KF5::NotifyConfig
    KF5::ConfigCore
)

=== agents/newmailnotifier/CMakeLists.txt ===

include_directories(${kdepim-runtime_BINARY_DIR})
add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_newmailnotifier_agent\")


set(newmailnotifier_common_SRCS)

kconfig_add_kcfg_files(newmailnotifier_common_SRCS
    newmailnotifieragentsettings.kcfgc
  )

ecm_qt_declare_logging_category(newmailnotifier_common_SRCS HEADER newmailnotifier_debug.h IDENTIFIER NEWMAILNOTIFIER_LOG CATEGORY_NAME org.kde.pim.newmailnotifier)

set(newmailnotifieragent_SRCS
  newmailnotifieragent.cpp
  specialnotifierjob.cpp
  newmailnotifiershowmessagejob.cpp
  ${newmailnotifier_common_SRCS}
)

qt5_add_dbus_adaptor(newmailnotifieragent_SRCS org.freedesktop.Akonadi.NewMailNotifier.xml newmailnotifieragent.h NewMailNotifierAgent)

add_executable( akonadi_newmailnotifier_agent ${newmailnotifieragent_SRCS})

target_link_libraries( akonadi_newmailnotifier_agent
  KF5::AkonadiCore
  KF5::Mime
  KF5::AkonadiMime
  KF5::AkonadiContact
  KF5::Codecs
  KF5::IdentityManagement
  KF5::AkonadiAgentBase
  KF5::DBusAddons
  KF5::Notifications
  KF5::Service
  KF5::I18n
  Qt5::TextToSpeech
)

if( APPLE )
  set_target_properties( akonadi_newmailnotifier_agent PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_SOURCE_DIR}/Info.plist.template)
  set_target_properties( akonadi_newmailnotifier_agent PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.newmailnotifier")
  set_target_properties( akonadi_newmailnotifier_agent PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE New Mail Notifier")
endif ()

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()
install(TARGETS akonadi_newmailnotifier_agent ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )


install(FILES newmailnotifieragent.desktop DESTINATION "${KDE_INSTALL_DATAROOTDIR}/akonadi/agents")
install(FILES akonadi_newmailnotifier_agent.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR} )

########################## Config plugin #################################

kcoreaddons_add_plugin(newmailnotifierconfig
    SOURCES newmailnotifiersettingswidget.cpp 
            newmailnotifierselectcollectionwidget.cpp
            ${newmailnotifier_common_SRCS}
    JSON "newmailnotifierconfig.json"
    INSTALL_NAMESPACE "akonadi/config")
target_link_libraries(newmailnotifierconfig
    KF5::AkonadiCore
    Qt5::Widgets
    KF5::NotifyConfig
    KF5::ConfigGui
    KF5::I18n
    KF5::XmlGui
    KF5::Mime
    KF5::Completion
)

=== kioslave/akonadi/CMakeLists.txt ===
set(kio_akonadi_SRCS akonadislave.cpp)
ecm_qt_declare_logging_category(kio_akonadi_SRCS HEADER akonadislave_debug.h IDENTIFIER AKONADISLAVE_LOG CATEGORY_NAME org.kde.pim.akonadislave)

add_library(kio_akonadi MODULE ${kio_akonadi_SRCS})



target_link_libraries(kio_akonadi  
                      KF5::KIOCore 
                      KF5::AkonadiCore 
                      KF5::I18n
                      Qt5::DBus
                      Qt5::Widgets
                      Qt5::Network
                      )
set_target_properties(kio_akonadi PROPERTIES OUTPUT_NAME "akonadi")

install(TARGETS kio_akonadi DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio )


########### install files ###############

install( FILES akonadi.protocol  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )

=== kioslave/pop3/CMakeLists.txt ===
########### next target ###############

set(kio_pop3_PART_SRCS pop3.cpp pop3_debug.cpp )

ecm_qt_declare_logging_category(kio_pop3_PART_SRCS HEADER pop3_debug.h IDENTIFIER POP3_LOG CATEGORY_NAME org.kde.pim.pop3)

add_library(kio_pop3 MODULE ${kio_pop3_PART_SRCS})


target_link_libraries(kio_pop3 KF5::KIOCore KF5::I18n Qt5::Network Sasl2::Sasl2)
set_target_properties(kio_pop3 PROPERTIES OUTPUT_NAME "pop3")

install(TARGETS kio_pop3  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio/ )


########### install files ###############

install( FILES pop3.protocol pop3s.protocol  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )

=== migration/gid/CMakeLists.txt ===
set(gid_SRCS
  gidmigrator.cpp
  gidmigrationjob.cpp
  ${MIGRATION_AKONADI_SHARED_SOURCES}
)

add_library(gidmigration STATIC ${gid_SRCS})
target_link_libraries(gidmigration
  KF5::AkonadiCore
  KF5::Mime
  KF5::ConfigCore
  KF5::I18n
  Qt5::Core
  Qt5::Widgets
  KF5::WidgetsAddons
)

add_executable(gidmigrator main.cpp)
target_link_libraries(gidmigrator
  gidmigration
  KF5::AkonadiWidgets
  KF5::Mime
)
install(TARGETS gidmigrator ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== resources/akonotes/CMakeLists.txt ===
include_directories(
    ${kdepim-runtime_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/../maildir
    ${CMAKE_CURRENT_BINARY_DIR}/../maildir
    ${CMAKE_CURRENT_SOURCE_DIR}/../maildir/libmaildir
)


add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_akonotes_resource\")

set(akonotes_common_SRCS)
kconfig_add_kcfg_files(akonotes_common_SRCS ../maildir/settings.kcfgc)

################################# Resource #################################

set( akonotesresource_SRCS
  ../maildir/maildirresource.cpp
  ../maildir/retrieveitemsjob.cpp
  ../maildir/maildirresource_debug.cpp
  akonotesresource.cpp
  ${akonotes_common_SRCS}
)

kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/../maildir/maildirresource.kcfg org.kde.Akonadi.Maildir.Settings)

qt5_add_dbus_adaptor(akonotesresource_SRCS
  ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.Maildir.Settings.xml settings.h Akonadi_Maildir_Resource::MaildirSettings maildirsettingsadaptor MaildirSettingsAdaptor
)

install( FILES akonotesresource.desktop DESTINATION "${KDE_INSTALL_DATAROOTDIR}/akonadi/agents" )

add_executable(akonadi_akonotes_resource ${akonotesresource_SRCS})

target_link_libraries(akonadi_akonotes_resource
    KF5::AkonadiCore
    KF5::AkonadiMime
    KF5::Mime
    KF5::AkonadiAgentBase
    KF5::DBusAddons
    KF5::I18n
    maildir
    folderarchivesettings
)

install(TARGETS akonadi_akonotes_resource ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

############################### Config plugin #################################

set(akonotesconfig_SRCS
    ../maildir/configwidget.cpp
    ../maildir/maildirconfig.cpp
    akonotesconfig.cpp
    ${akonotes_common_SRCS}
)
ki18n_wrap_ui(akonotesconfig_SRCS ../maildir/settings.ui)

kcoreaddons_add_plugin(akonotesconfig
    SOURCES ${akonotesconfig_SRCS}
    JSON "akonotesconfig.json"
    INSTALL_NAMESPACE akonadi/config
)

target_link_libraries(akonotesconfig
    KF5::AkonadiCore
    KF5::KIOWidgets
    KF5::ConfigWidgets
    KF5::I18n
    maildir
    folderarchivesettings
)

=== resources/birthdays/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_birthdays_resource\")

set(birthdayresource_common_SRCS)

kconfig_add_kcfg_files(birthdayresource_common_SRCS
    settings.kcfgc
  )

set( birthdayresource_srcs
  birthdaysresource.cpp
  ${birthdayresource_common_SRCS}
)


kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/birthdaysresource.kcfg org.kde.Akonadi.Birthdays.Settings)

qt5_add_dbus_adaptor(birthdayresource_srcs
  ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.Birthdays.Settings.xml settings.h Settings
)

ecm_qt_declare_logging_category(birthdayresource_srcs HEADER birthdays_debug.h IDENTIFIER BIRTHDAYS_LOG CATEGORY_NAME org.kde.pim.birthdays)

add_executable(akonadi_birthdays_resource ${birthdayresource_srcs})

if( APPLE )
  set_target_properties(akonadi_birthdays_resource PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
  set_target_properties(akonadi_birthdays_resource PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.Birthdays")
  set_target_properties(akonadi_birthdays_resource PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi Birthdays Resource")
endif ()

target_link_libraries(akonadi_birthdays_resource
  KF5::AkonadiCore
  KF5::CalendarCore
  KF5::AkonadiAgentBase
  KF5::Contacts
  KF5::AkonadiWidgets
  KF5::I18n
)

install( TARGETS akonadi_birthdays_resource ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )
install( FILES birthdaysresource.desktop DESTINATION "${KDE_INSTALL_DATAROOTDIR}/akonadi/agents" )


############################# Config plugin ################################
set(birthdaysconfig_ui_SRCS)
ki18n_wrap_ui(birthdaysconfig_ui_SRCS birthdaysconfigwidget.ui)
set(birthdaysconfig_SRCS
    birthdaysconfigagentwidget.cpp
    ${birthdaysconfig_ui_SRCS}
    ${birthdayresource_common_SRCS}
    )


kcoreaddons_add_plugin(birthdaysconfig
    SOURCES ${birthdaysconfig_SRCS}
    JSON "birthdaysconfig.json"
    INSTALL_NAMESPACE "akonadi/config"
    )
target_link_libraries(birthdaysconfig
    KF5::AkonadiCore
    KF5::CalendarCore
    KF5::Contacts
    KF5::AkonadiWidgets
    KF5::I18n
    KF5::TextWidgets
    )

=== resources/facebook/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_facebook_resource\")
include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR})

set(fbresource_common_SRCS)
kconfig_add_kcfg_files(fbresource_common_SRCS settings.kcfgc)

set(fbresource_SRCS
    listjob.cpp
    eventslistjob.cpp
    birthdaylistjob.cpp
    tokenjobs.cpp
    graph.cpp
    ${fbresource_common_SRCS}
)

ecm_qt_declare_logging_category(fbresource_SRCS HEADER resource_debug.h IDENTIFIER FBRESOURCE_LOG CATEGORY_NAME org.kde.pim.fbresource)

kcfg_generate_dbus_interface(settings.kcfg org.kde.Akonadi.Facebook.Settings )

add_library(facebookresourcelib STATIC ${fbresource_SRCS})

target_link_libraries(facebookresourcelib
    KF5::KIOWidgets
    KF5::I18n
    KF5::ConfigGui
    KF5::CalendarCore
    Qt5::WebEngineWidgets
    KF5::Wallet
    KF5::Codecs
)

#####

set(akonadi_facebook_resource_SRCS resource.cpp)

add_executable(akonadi_facebook_resource ${akonadi_facebook_resource_SRCS})
target_link_libraries(akonadi_facebook_resource
    facebookresourcelib
    KF5::AkonadiAgentBase
    KF5::CalendarCore
    KF5::I18n
    KF5::Wallet
    KF5::Codecs
    Qt5::WebEngineWidgets
    KF5::KIOCore
)

install(TARGETS akonadi_facebook_resource ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(
  FILES facebookresource.desktop
  DESTINATION "${KDE_INSTALL_DATAROOTDIR}/akonadi/agents"
)

############################### Config plugin ################################
set(facebookconfig_ui_SRCS)
ki18n_wrap_ui(facebookconfig_ui_SRCS facebookagentsettingswidget.ui)

set(facebookconfig_SRCS
    facebooksettingswidget.cpp
    ${facebookconfig_ui_SRCS}
    ${fbresource_common_SRCS}
    )


kcoreaddons_add_plugin(facebookconfig
    SOURCES ${facebookconfig_SRCS}
    JSON "facebookconfig.json"
    INSTALL_NAMESPACE "akonadi/config"
    )
target_link_libraries(facebookconfig
    facebookresourcelib
    KF5::AkonadiCore
    KF5::CalendarCore
    KF5::Codecs
    KF5::AkonadiAgentBase
    KF5::Contacts
    KF5::AkonadiWidgets
    KF5::I18n
    KF5::KIOWidgets
    )

=== resources/ical/CMakeLists.txt ===
include_directories(
    ${kdepim-runtime_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/shared
)

add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_ical_resource\")

add_subdirectory( wizard )
add_subdirectory( notes )

if(BUILD_TESTING)
    add_subdirectory( autotests )
endif()

set(icalresource_common_SRCS)
kconfig_add_kcfg_files(icalresource_common_SRCS settings.kcfgc)

############################# Resource #################################
add_definitions( -DSETTINGS_NAMESPACE=Akonadi_ICal_Resource )

set( icalresource_SRCS
  icalresource.cpp
  shared/icalresourcebase.cpp
  shared/icalresource.cpp
  ${icalresource_common_SRCS}
)

install( FILES icalresource.desktop DESTINATION "${KDE_INSTALL_DATAROOTDIR}/akonadi/agents" )

kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/icalresource.kcfg org.kde.Akonadi.ICal.Settings)
qt5_add_dbus_adaptor(icalresource_SRCS
  ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.ICal.Settings.xml settings.h Akonadi_ICal_Resource::Settings icalsettingsadaptor ICalSettingsAdaptor
)

add_executable(akonadi_ical_resource ${icalresource_SRCS})

if( APPLE )
  set_target_properties(akonadi_ical_resource PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
  set_target_properties(akonadi_ical_resource PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.ICal")
  set_target_properties(akonadi_ical_resource PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi iCal Resource")
endif ()

target_link_libraries(akonadi_ical_resource KF5::AkonadiCore   KF5::KIOCore KF5::CalendarCore KF5::AkonadiAgentBase akonadi-singlefileresource KF5::DBusAddons)

install(TARGETS akonadi_ical_resource ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

################################ Config plugin ###############################

kcoreaddons_add_plugin(icalconfig
    SOURCES icalconfig.cpp ${icalresource_common_SRCS}
    JSON "icalconfig.json"
    INSTALL_NAMESPACE "akonadi/config"
)
target_link_libraries(icalconfig
    KF5::AkonadiCore
    akonadi-singlefileresource
)

=== resources/icaldir/CMakeLists.txt ===

add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_icaldir_resource\")


set(contactsresource_common_SRCS)

kconfig_add_kcfg_files(icaldirresource_common_SRCS
    settings.kcfgc
  )
########### next target ###############

set( icaldirresource_SRCS
  icaldirresource.cpp
  ${icaldirresource_common_SRCS}
)

kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/icaldirresource.kcfg org.kde.Akonadi.ICalDirectory.Settings)
qt5_add_dbus_adaptor(icaldirresource_SRCS
  ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.ICalDirectory.Settings.xml settings.h IcalDirResourceSettings
)

install( FILES icaldirresource.desktop DESTINATION "${KDE_INSTALL_DATAROOTDIR}/akonadi/agents" )

add_executable(akonadi_icaldir_resource ${icaldirresource_SRCS})

if( APPLE )
  set_target_properties(akonadi_icaldir_resource PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
  set_target_properties(akonadi_icaldir_resource PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.ICalDirectory")
  set_target_properties(akonadi_icaldir_resource PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi ICalDirectory Resource")
endif ()


target_link_libraries(akonadi_icaldir_resource
  KF5::AkonadiCore
  KF5::AkonadiAgentBase
  KF5::CalendarCore
  KF5::I18n
  KF5::TextWidgets
  KF5::KIOWidgets
  KF5::ConfigWidgets
)

install(TARGETS akonadi_icaldir_resource ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

############################## Config plugin ################################
set(icaldirconfig_ui_SRCS)
ki18n_wrap_ui(icaldirconfig_ui_SRCS icaldirsagentsettingswidget.ui)

set(icaldirconfig_SRCS
    icaldirsettingswidget.cpp
    ${icaldirconfig_ui_SRCS}
    ${icaldirresource_common_SRCS}
    )


kcoreaddons_add_plugin(icaldirconfig
    SOURCES ${icaldirconfig_SRCS}
    JSON "icaldirconfig.json"
    INSTALL_NAMESPACE "akonadi/config"
    )
target_link_libraries(icaldirconfig
    KF5::AkonadiCore
    KF5::CalendarCore
    KF5::Codecs
    KF5::AkonadiAgentBase
    KF5::Contacts
    KF5::AkonadiWidgets
    KF5::I18n
    KF5::KIOWidgets
    KF5::TextWidgets
    )

=== debian/changelog ===
kdepim-runtime (4:19.12.3-0ubuntu1) focal; urgency=medium

  * Move qdebug categories files to new location.
  * New upstream release (19.12.3)
  * Drop included upstream_find_boost_system_and_thread.diff
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Apr 2020 13:57:49 +0100

kdepim-runtime (4:19.04.3-0ubuntu2) focal; urgency=medium

  * Add upstream_find_boost_system_and_thread.diff to avoid FTBFS

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 07 Mar 2020 10:04:12 +0000

=== debian/control ===
Source: kdepim-runtime
Section: x11
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kross-dev (>= 5.31.0~),
               libboost-dev (>= 1.40.0-2),
               libboost-program-options-dev,
               libkf5akonadi-dev (>= 4:19.12.3~),
               libkf5akonadicalendar-dev (>= 4:19.12.3~),
               libkf5akonadicontact-dev (>= 4:19.12.3~),
               libkf5akonadimime-dev (>= 4:19.12.3~),
               libkf5akonadinotes-dev (>= 4:19.12.3~),
               libkf5akonadiserver-dev (>= 4:19.12.3~),
               libkf5alarmcalendar-dev (>= 4:19.12.3~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5calendarutils-dev (>= 4:19.12.3~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:19.12.3~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5identitymanagement-dev (>= 19.12.3~),
               libkf5imap-dev (>= 19.12.3~),
               libkf5itemmodels-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5mailtransport-dev (>= 19.12.3~),
               libkf5mbox-dev (>= 19.12.3~),
               libkf5mime-dev (>= 19.12.3~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5pimcommon-dev (>= 4:19.12.3~),
               libkf5pimtextedit-dev (>= 19.12.3~),
               libkf5syndication-dev (>= 18.11.80~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkolabxml-dev (>= 1.1),
               libkpimgapi-dev (>= 19.12.3~),
               libkpimkdav-dev (>= 19.12.3~),
               libqca-qt5-2-dev,
               libqt5networkauth5-dev,
               libqt5texttospeech5-dev,
               libqt5webchannel5-dev (>= 5.6.1~),
               libqt5webenginewidgets5 (>= 5.6.1~),
               libqt5webkit5-dev (>= 5.4.0~),
               libqt5xmlpatterns5-dev (>= 5.6.1~),
               libsasl2-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qtpositioning5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~),
               shared-mime-info (>= 0.30),
               xsltproc,
Standards-Version: 3.9.6
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-runtime
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-runtime

Package: kdepim-runtime
Architecture: any
Depends: akonadi-server (>= 1.8),
         kio-ldap,
         kio-sieve,
         libsasl2-modules-kdexoauth2,
         ${misc:Depends},
         ${shlibs:Depends},
Replaces: akonadi-kde,
          kdepimlibs-kio-plugins,
          kf5-kdepimlibs-kio-plugins,
          libmaildir4,
          ${kde-l10n:all},
Breaks: akonadi-kde,
        kdepimlibs-kio-plugins,
        kdepimlibs5 (<< 4:4.4),
        kf5-kdepimlibs-kio-plugins,
        libmaildir4,
        ${kde-l10n:all},
Description: runtime components for Akonadi KDE
 This package contains Akonadi agents written using KDE Development Platform
 libraries.
 Any package that uses Akonadi should probably pull this in as a dependency.
 The kres-bridges is also parts of this package.
 .
 This package is part of the kdepim-runtime module.
